BUCCANEER (CCP4: Supported Program)
===================================

NAME
----

**buccaneer** - Statistical protein chain tracing

SYNOPSIS
--------

| **cbuccaneer** **-title** *title* **-mtzin** *filename* **-seqin**
  *filename* **-pdbin** *filename* **-pdbin-mr** *filename*
  **-pdbin-sequence-prior** *filename* **-pdbout** *colpath*
  **-colin-fo** *colpath* **-colin-hl** *colpath* **-colin-phifom**
  *colpath* **-colin-fc** *colpath* **-colin-free** *colpath*
  **-resolution** *resolution* **-find** **-grow** **-join** **-link**
  **-sequence** **-correct** **-filter** **-ncsbuild** **-prune**
  **-rebuild** **-fast** **-anisotropy-correction** **-build-semet**
  **-fix-position** **-cycles** *number of cycles* **-fragments**
  *number of fragments* **-fragments-per-100-residues** *number of
  fragments* **-ramachandran-filter** *type*
  **-main-chain-likelihood-radius** *radius/A*
  **-side-chain-likelihood-radius** *radius/A* **-sequence-reliability**
  *reliability* **-new-residue-name** *type* **-new-residue-type**
  *type* **-correlation-mode** **-known-structure**
  *known-structure-spec* **-jobs** **-mtzin-ref** *filename*
  **-pdbin-ref** *filename* **-colin-ref-fo** *colpath*
  **-colin-ref-hl** *colpath* **-verbose** *verbosity* **-stdin**
| [`Keyworded input <#keywords>`__]

DESCRIPTION
-----------

'buccaneer' performs statistical chain tracing by identifying connected
alpha-carbon positions using a likelihood-based density target.

The target distributions are generated by a simulation calculation using
a known 'reference' structure for which calculated phases are available.
The success of the method is dependent on the features of the reference
structure matching those of the unsolved, 'work' structure. For almost
all cases, a single reference structure can be used, with modifications
automatically applied to the reference structure to match its features
to the work structure.

HOW TO RUN BUCCANEER
--------------------

A set of reference structures will have been provided with the program.
The default structure 1TQW is good for typical protein problems at
resolutions up to 1.25A, although in practice including data much beyond
2.0A doesn't make much difference. For exotic cases you might want to
provide your own reference structures.

The calculation involves 10 stages:

Finding C-alphas
    Candidate C-alpha positions are located by searching the electron
    density.
Growing fragments
    The candidate C-alphas or input chains are grown by adding residues
    at either end, according to the density.
Joining Fragments
    Overlapping fragments are joined to make longer chains. If this
    leads to a junction in a chain, the contested residue is removed.
Linking Fragments
    Nearby N and C termini are examined to see if they can be linked by
    a short loop.
Assigning Sequence
    Likelihood comparison between the density of each residue in the work
    structure and the residues of the reference structure allows
    sequence to be assigned to longer fragments.
Correcting sequence.
    Insertions and deletions in the model building are fixed by
    rebuilding, where possible.
Filtering fragments in poor density
    Residues in poor density are removed.
Building NCS
    Any NCS relationships found in the model are used to augment the
    related chains.
Pruning Fragments
    Clashing fragments are examined and the one with the worse density
    is removed. This stage can be disabled by the -no-prune keyword.
Rebuilding
    Rebuilding allows side chain atoms and carbonyl oxygens to be
    rebuilt.

INPUT/OUTPUT FILES
------------------

-mtzin
    Input 'work' MTZ file. This contains the data for the unknown, work
    structure. The required columns are F, sigF, and a set of HL
    coefficients from phasing improvement.
-seqin
    [Optional] Input sequence file in any common format, e.g. pir,
    fasta.
-pdbin
    [Optional] Input PDB file containing an initial model to extend.
-pdbin-mr
    [Optional] Input PDB file containing a MR model to augment the
    output model. (It is not clear if this option is worthwhile.)
-pdbin-sequence-prior
    [Optional] Input PDB file containing a model derived from heavy atoms
    or known residues to help with sequencing.
-pdbout
    [Optional] Output PDB file. This will contain the new chain trace.
-pdbin-ref
    [Optional] Input PDB file containing the final model for the
    reference structure.
-mtzin-ref
    [Optional] Input 'reference' MTZ file. This contains the data for a
    known, reference structure. The required columns are F, sigF, and a
    set of Hendrickson-Lattman (HL) coefficients describing the
    calculated phases from the final model. Suitable reference
    structures can be constructed from the PDB using the 'Make Pirate
    reference' task.

.. _keywords:

KEYWORDED INPUT
---------------

See `Note on keyword input <#notekeywords>`__.

    .. rubric:: -colin-fo *colpath*
       :name: colin-fo-colpath

    Observed F and sigma for work structure. See `Note on column
    paths <#notecolpaths>`__.

    .. rubric:: -colin-hl *colpath*
       :name: colin-hl-colpath

    Hendrickson-Lattman coefficients for work structure. Either
    -colin-hl or -colin-phifom should be specified, but not both. See
    `Note on column paths <#notecolpaths>`__.

    .. rubric:: -colin-phifom *colpath*
       :name: colin-phifom-colpath

    Phase and figure of merit for work structure. Either -colin-hl or
    -colin-phifom should be specified, but not both. See `Note on column
    paths <#notecolpaths>`__.

    .. rubric:: -colin-fc *colpath*
       :name: colin-fc-colpath

    [Optional] Initial map coefficients (F and phase) for work
    structure. These **must** be on the same scale as the observed F's
    (i.e. do not use after phaser or phenix.refine). See `Note on column
    paths <#notecolpaths>`__.

    .. rubric:: -resolution *resolution/A*
       :name: resolution-resolutiona

    [Optional] Resolution limit for the calculation. All data is
    truncated.

    .. rubric:: -find
       :name: find

    [Optional] Enable growing of fragments.

    .. rubric:: -grow
       :name: grow

    [Optional] Enable growing of fragments.

    .. rubric:: -join
       :name: join

    [Optional] Enable joining of fragments.

    .. rubric:: -link
       :name: link

    [Optional] Enable linking of nearby fragments.

    .. rubric:: -sequence
       :name: sequence

    [Optional] Enable sequencing of fragments.

    .. rubric:: -correct
       :name: correct

    [Optional] Enable correction of any missing or extra residues
    uncovered during the sequencing process.

    .. rubric:: -filter
       :name: filter

    [Optional] Enable removal of residues in low density or linking
    disjoint sequence.

    .. rubric:: -ncsbuild
       :name: ncsbuild

    [Optional] Enable use of NCS to build related molecules, if present.

    .. rubric:: -prune
       :name: prune

    [Optional] Enable pruning of fragments.

    .. rubric:: -rebuild
       :name: rebuild

    [Optional] Enable rebuilding of side-chains and Carbonyl Oxygens.

    .. rubric:: -fast
       :name: fast

    [Optional] Use fastest rather than best methods. Typically gives
    2-3x speedup for a very similar model, but results vary.

    .. rubric:: -anisotropy-correction
       :name: anisotropy-correction

    [Optional] Correct the input F's for anisotropy.

    .. rubric:: -build-semet
       :name: build-semet

    [Optional] Build MSE instead of MET for selenomethionine
    experiments.

    .. rubric:: -fix-position
       :name: fix-position

    [Optional] Build new model in the same place in the unit cell as the
    input model.

    .. rubric:: -cycles *number of cycles*
       :name: cycles-number-of-cycles

    [Optional] Number of cycles of building to run. Running multiple
    cycles leads to a more complete model, although it is not as
    effective as recycling with refmac.

    .. rubric:: -fragments *number of fragments*
       :name: fragments-number-of-fragments

    [Optional] Maximum number of fragments to build.

    .. rubric:: -fragments-per-100-residues *number of fragments*
       :name: fragments-per-100-residues-number-of-fragments

    [Optional] Approximate number of fragments to build per 100 residues
    (assuming average solvent).

    .. rubric:: -ramachandran-filter *type*
       :name: ramachandran-filter-type

    [Optional] Only use particular types of residues when preparing the
    main chain likelihood search function. By selecting particular
    secondary structure types, it is possible to prefferentially find
    different types of sequence. *type* may be one of
    ``all, helix, strand, nonhelix``.

    .. rubric:: -main-chain-likelihood-radius *radius/A*
       :name: main-chain-likelihood-radius-radiusa

    [Optional] Default 4.0A. For very low resolution maps it may be
    worth increasing this.

    .. rubric:: -side-chain-likelihood-radius *radius/A*
       :name: side-chain-likelihood-radius-radiusa

    [Optional] Default 5.5A.

    .. rubric:: -sequence-reliability *reliability*
       :name: sequence-reliability-reliability

    [Optional] Values between 0.5 and 1.0 vary the relibility cutoff for
    docking a sequence. The value is the probability at which the
    sequence will be accepted. 0.5 means every sequence will be docked,
    1.0 means that no sequences are docked. Default = 0.95.

    .. rubric:: -new-residue-name *type*
       :name: new-residue-name-type

    [Optional] Set the name which will be given to newly built residues.

    .. rubric:: -new-residue-type *type*
       :name: new-residue-type-type

    [Optional] Set the type of residue to be used when building new
    residues.

    .. rubric:: -correlation-mode
       :name: correlation-mode

    [Optional] Use the correlation target function for growing new
    chains and for sequencing. This is less effective for initial
    building, but better for model completion, especial after molecular
    replacement.

    .. rubric:: -known-structure *known-structure-spec*
       :name: known-structure-known-structure-spec

    A single known-structure group can be specified in the general
    parameters (above), however for more complex cases multiple groups
    can be defined using keyword input. The known-structure keyword
    allows atoms or chains from the input model (given using the
    'Specify input model to be extended' button at the top of the
    window) to be preserved. This can be useful when heavy atoms or
    nucleotide chains comprise a significant portion of the scattering.

    Syntax: ``known-structure coordinateID:radius``

    Atoms specified by the coordinateID will be retained in the output
    structure. If a radius is specified, then no main chain atoms will
    be built within the given radius of the specified atoms. Multiple
    known-structure keywords may be given with different radii.
    Examples:

    -  ``known-structure /A,B/*/*/:2.0``

    Keep all atoms in the A and B chains and don't build within 2 Angstroms.

    -  ``known-structure /A/*/*/:2.0``

    Keep all atoms in the A chain and don't build within 2 Angstroms.

    -  ``known-structure /*/*/ZN  /:3.0``

    Keep all Zinc atoms and don't build within 3 Angstroms.

    -  ``known-structure //*/*/``

    Keep all atoms in the unlabelled chain.

    .. rubric:: -jobs *CPUs*
       :name: jobs-cpus

    [Optional] Set number of CPUs to use.

    .. rubric:: -colin-ref-fo *colpath*
       :name: colin-ref-fo-colpath

    [Optional] Observed F and sigma for reference structure. See `Note
    on column paths <#notecolpaths>`__.

    .. rubric:: -colin-ref-hl *colpath*
       :name: colin-ref-hl-colpath

    [Optional] Hendrickson-Lattman coefficients for reference structure.
    If you do not have these, they can be generated using the
    accompanying chltofom program. See `Note on column
    paths <#notecolpaths>`__.

    .. rubric:: -verbose *verbosity*
       :name: verbose-verbosity

Note on column paths:
^^^^^^^^^^^^^^^^^^^^^

When using the command line, MTZ columns are described as groups using a
slash separated format including the crystal and dataset name. If your
data was generated by another column-group using program, you can just
specify the name of the group, for example '/native/peak/Fobs'. You can
wildcard the crystal and dataset if the file does not contain any
duplicate labels, e.g. '/\*/\*/Fobs'. You can also access traditional
non-grouped columns from existing files by giving a comma-separated list
of names, e.g. 'FP,SIGFP' or 'HLA,HLB,HLC,HLD'.

Note on keyword input:
^^^^^^^^^^^^^^^^^^^^^^

Keywords may appear on the command line, or by specifying the '-stdin'
flag, on standard input. In the latter case, one keyword is given per
line and the '-' is optional, and the rest of the line is the argument
of that keyword if required, so quoting is not used in this case.

Reading the Ouput:
------------------

The number of residues sequenced and the Free-R factor from refmac are
the most useful outputs. These may easily be found using the 'Annotated
log file'.

Problems:
---------

AUTHOR
------

Kevin Cowtan, York.

SEE ALSO
--------


